View Issue Details

IDProjectCategoryView StatusLast Update
0004516unrealmodule apipublic2016-03-04 13:06
ReporterblankAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.2 
Summary0004516: use #include "unrealircd.h" in more files
Descriptionthere seems to be a mixture of what modules are using

some are using #include "unrealircd.h" as suggested but most are using the old style long list

also the header comments don't seem to be any particular style which makes reading a bit harder

shouldn't these official modules be cleaned up/standardised a bit?
TagsNo tags attached.
3rd party modules

Activities

syzop

2015-12-28 17:28

administrator   ~0018970

Sure :)

blank

2016-01-13 12:41

reporter   ~0019060

@syzop https://github.com/unrealircd/unrealircd/pull/47?

don't shoot, never used Git :/

syzop

2016-02-29 19:33

administrator   ~0019113

Patch from blank has been added https://github.com/unrealircd/unrealircd/commit/8c53075c9202b6a6ddc5df78c19127c528670644

syzop

2016-02-29 19:46

administrator   ~0019114

Grep on struct.h in src/modules/*.c reveals 89 more files to go. So I guess I'll leave this bug report open.

syzop

2016-03-04 13:06

administrator   ~0019120

[unreal40 bf1e150] Use #include "unrealircd.h" in all modules (0004516).

https://github.com/unrealircd/unrealircd/commit/bf1e1502bad1c6ecce441a50c5ebaa21c4619232

Issue History

Date Modified Username Field Change
2015-12-28 16:34 blank New Issue
2015-12-28 17:28 syzop Note Added: 0018970
2015-12-29 15:19 syzop Summary modules => use #include "unrealircd.h" in more files
2016-01-11 18:12 syzop Status new => acknowledged
2016-01-13 12:41 blank Note Added: 0019060
2016-01-13 15:43 syzop Status acknowledged => has patch
2016-02-29 19:33 syzop Note Added: 0019113
2016-02-29 19:46 syzop Note Added: 0019114
2016-02-29 19:46 syzop Assigned To => syzop
2016-02-29 19:46 syzop Status has patch => acknowledged
2016-03-04 13:06 syzop Note Added: 0019120
2016-03-04 13:06 syzop Status acknowledged => resolved
2016-03-04 13:06 syzop Fixed in Version => 4.0.2
2016-03-04 13:06 syzop Resolution open => fixed
2017-01-06 15:48 syzop Category module => module api